Skip to main content
POST
/
api
/
v2
/
Gift
/
Transactions
Create a Batch of Gift Transactions
curl --request POST \
  --url https://api.virtuoussoftware.com/api/v2/Gift/Transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transactionSource": "<string>",
  "transactions": [
    {
      "transactionSource": "<string>",
      "transactionId": "<string>",
      "contact": {
        "referenceId": "<string>",
        "id": "<integer>",
        "name": "<string>",
        "type": "<string>",
        "title": "<string>",
        "firstname": "<string>",
        "middlename": "<string>",
        "lastname": "<string>",
        "suffix": "<string>",
        "birthMonth": "<string>",
        "birthDay": "<string>",
        "birthYear": "<string>",
        "gender": "<string>",
        "emailType": "<string>",
        "email": "<string>",
        "phoneType": "<string>",
        "phone": "<string>",
        "address": {
          "address1": "<string>",
          "address2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "postal": "<string>",
          "country": "<string>"
        },
        "tags": "<string>",
        "emailLists": [
          "<string>",
          "<string>"
        ]
      },
      "giftDate": "<string>",
      "cancelDate": "<string>",
      "giftType": "<string>",
      "amount": "<string>",
      "currencyCode": "<string>",
      "exchangeRate": "<decimal>",
      "frequency": "<string>",
      "recurringGiftTransactionId": "<string>",
      "recurringGiftTransactionUpdate": "<boolean>",
      "pledgeFrequency": "<string>",
      "pledgeTransactionId": "<string>",
      "batch": "<string>",
      "notes": "<string>",
      "segment": "<string>",
      "mediaOutlet": "<string>",
      "receiptDate": "<string>",
      "receiptSegment": "<string>",
      "cashAccountingCode": "<string>",
      "tribute": "<string>",
      "tributeDedication": {
        "tributeId": "<integer>",
        "tributeType": "<string>",
        "tributeFirstName": "<string>",
        "tributeLastName": "<string>",
        "tributeCity": "<string>",
        "tributeState": "<string>",
        "acknowledgeeIndividualId": "<integer>",
        "acknowledgeeFirstName": "<string>",
        "acknowledgeeLastName": "<string>",
        "acknowledgeeAddress": "<string>",
        "acknowledgeeCity": "<string>",
        "acknowledgeeState": "<string>",
        "acknowledgeePostal": "<string>",
        "acknowledgeeEmail": "<string>",
        "acknowledgeePhone": "<string>"
      },
      "isPrivate": "<boolean>",
      "isTaxDeductible": "<boolean>",
      "checkNumber": "<string>",
      "creditCardType": "<string>",
      "nonCashGiftTypeId": "<integer>",
      "nonCashGiftType": "<string>",
      "nonCashGiftDescription": "<string>",
      "stockTickerSymbol": "<string>",
      "stockNumberOfShares": "<integer>",
      "iraCustodian": "<string>",
      "submissionUrl": "<string>",
      "designations": [
        {
          "id": "<integer>",
          "name": "<string>",
          "code": "<string>",
          "amountDesignated": "<string>"
        },
        {
          "id": "<integer>",
          "name": "<string>",
          "code": "<string>",
          "amountDesignated": "<string>"
        }
      ],
      "premiums": [
        {
          "id": "<integer>",
          "name": "<string>",
          "code": "<string>",
          "quantity": "<string>"
        },
        {
          "id": "<integer>",
          "name": "<string>",
          "code": "<string>",
          "quantity": "<string>"
        }
      ],
      "customFields": "<object>",
      "customObjects": [
        {
          "name": "<string>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        },
        {
          "name": "<string>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        }
      ],
      "contactIndividualId": "<integer>",
      "passthroughContact": {
        "referenceId": "<string>",
        "id": "<integer>",
        "name": "<string>",
        "type": "<string>",
        "title": "<string>",
        "firstname": "<string>",
        "middlename": "<string>",
        "lastname": "<string>",
        "suffix": "<string>",
        "birthMonth": "<string>",
        "birthDay": "<string>",
        "birthYear": "<string>",
        "gender": "<string>",
        "emailType": "<string>",
        "email": "<string>",
        "phoneType": "<string>",
        "phone": "<string>",
        "address": {
          "address1": "<string>",
          "address2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "postal": "<string>",
          "country": "<string>"
        },
        "tags": "<string>",
        "emailLists": [
          "<string>",
          "<string>"
        ]
      },
      "eventAttendee": {
        "eventId": "<integer>",
        "eventName": "<string>",
        "invited": "<boolean>",
        "rsvp": "<boolean>",
        "rsvpResponse": "<boolean>",
        "attended": "<boolean>"
      }
    },
    {
      "transactionSource": "<string>",
      "transactionId": "<string>",
      "contact": {
        "referenceId": "<string>",
        "id": "<integer>",
        "name": "<string>",
        "type": "<string>",
        "title": "<string>",
        "firstname": "<string>",
        "middlename": "<string>",
        "lastname": "<string>",
        "suffix": "<string>",
        "birthMonth": "<string>",
        "birthDay": "<string>",
        "birthYear": "<string>",
        "gender": "<string>",
        "emailType": "<string>",
        "email": "<string>",
        "phoneType": "<string>",
        "phone": "<string>",
        "address": {
          "address1": "<string>",
          "address2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "postal": "<string>",
          "country": "<string>"
        },
        "tags": "<string>",
        "emailLists": [
          "<string>",
          "<string>"
        ]
      },
      "giftDate": "<string>",
      "cancelDate": "<string>",
      "giftType": "<string>",
      "amount": "<string>",
      "frequency": "<string>",
      "recurringGiftTransactionId": "<string>",
      "recurringGiftTransactionUpdate": "<boolean>",
      "pledgeFrequency": "<string>",
      "pledgeTransactionId": "<string>",
      "batch": "<string>",
      "notes": "<string>",
      "segment": "<string>",
      "mediaOutlet": "<string>",
      "receiptDate": "<string>",
      "receiptSegment": "<string>",
      "cashAccountingCode": "<string>",
      "tribute": "<string>",
      "tributeDedication": {
        "tributeId": "<integer>",
        "tributeType": "<string>",
        "tributeFirstName": "<string>",
        "tributeLastName": "<string>",
        "tributeCity": "<string>",
        "tributeState": "<string>",
        "acknowledgeeIndividualId": "<integer>",
        "acknowledgeeFirstName": "<string>",
        "acknowledgeeLastName": "<string>",
        "acknowledgeeAddress": "<string>",
        "acknowledgeeCity": "<string>",
        "acknowledgeeState": "<string>",
        "acknowledgeePostal": "<string>",
        "acknowledgeeEmail": "<string>",
        "acknowledgeePhone": "<string>"
      },
      "isPrivate": "<boolean>",
      "isTaxDeductible": "<boolean>",
      "checkNumber": "<string>",
      "creditCardType": "<string>",
      "nonCashGiftType": "<string>",
      "nonCashGiftDescription": "<string>",
      "stockTickerSymbol": "<string>",
      "stockNumberOfShares": "<integer>",
      "submissionUrl": "<string>",
      "designations": [
        {
          "id": "<integer>",
          "name": "<string>",
          "code": "<string>",
          "amountDesignated": "<string>"
        },
        {
          "id": "<integer>",
          "name": "<string>",
          "code": "<string>",
          "amountDesignated": "<string>"
        }
      ],
      "premiums": [
        {
          "id": "<integer>",
          "name": "<string>",
          "code": "<string>",
          "quantity": "<string>"
        },
        {
          "id": "<integer>",
          "name": "<string>",
          "code": "<string>",
          "quantity": "<string>"
        }
      ],
      "customFields": "<object>",
      "customObjects": [
        {
          "name": "<string>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        },
        {
          "name": "<string>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        }
      ],
      "contactIndividualId": "<integer>",
      "passthroughContact": {
        "referenceId": "<string>",
        "id": "<integer>",
        "name": "<string>",
        "type": "<string>",
        "title": "<string>",
        "firstname": "<string>",
        "middlename": "<string>",
        "lastname": "<string>",
        "suffix": "<string>",
        "birthMonth": "<string>",
        "birthDay": "<string>",
        "birthYear": "<string>",
        "gender": "<string>",
        "emailType": "<string>",
        "email": "<string>",
        "phoneType": "<string>",
        "phone": "<string>",
        "address": {
          "address1": "<string>",
          "address2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "postal": "<string>",
          "country": "<string>"
        },
        "tags": "<string>",
        "emailLists": [
          "<string>",
          "<string>"
        ]
      },
      "eventAttendee": {
        "eventId": "<integer>",
        "eventName": "<string>",
        "invited": "<boolean>",
        "rsvp": "<boolean>",
        "rsvpResponse": "<boolean>",
        "attended": "<boolean>"
      }
    }
  ],
  "createImport": "<boolean>",
  "importName": "<string>",
  "batch": "<string>",
  "batchTotal": "<double>",
  "defaultGiftDate": "<string>",
  "defaultGiftType": "<string>"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
transactionSource
string
transactions
object[]
createImport
string
importName
string
batch
string
batchTotal
string
defaultGiftDate
string
defaultGiftType
string

Response

200

OK

Last modified on April 24, 2026